# Class RedisSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Configuración Redis. No contiene lógica de qué entidades usan Redis (eso está en CacheSettings). Esta clase solo define:

- Conexión
- Cluster/Scalability
- SSL/password
- TTL global y por entidad
- Generación de claves CacheKeys

    public class RedisSettings

Inheritance
  object
  RedisSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### ChannelPrefix

    public string ChannelPrefix { get; set; }

#### Property Value

string

### ConnectionString

    public string? ConnectionString { get; set; }

#### Property Value

string

### EnableScalable

    public bool EnableScalable { get; set; }

#### Property Value

bool

### Endpoints

    public IEnumerable<RedisSettings.RedisEndpoint> Endpoints { get; set; }

#### Property Value

IEnumerable<RedisSettings.RedisEndpoint>

### ExpireKeyInSeconds

    public int? ExpireKeyInSeconds { get; set; }

#### Property Value

int?

### Password

    public string? Password { get; set; }

#### Property Value

string

### Ssl

    public bool Ssl { get; set; }

#### Property Value

bool

### Ttl

    public TtlSettings Ttl { get; set; }

#### Property Value

TtlSettings